# The "ThreeDeeSlice" Widget

This widget provides a three-dimensional slice control.

Library: karmawidgets
Link With: -lkarmawidgets

#### Tables

ThreeDeeSlice_ResourceNames | List of resource names for ThreeDeeSlice widget
ThreeDeeSlice_Resources | List of resources for ThreeDeeSlice widget

#### Functions

XkwThreeDeeSlicePrecompute | Precompute all viewable images.
XkwThreeDeeSliceSetCursor | Set the 3D cursor position.

## Tables

ThreeDeeSlice_ResourceNames List of resource names for ThreeDeeSlice widget

Name | Purpose
XkwNiarray | The Intelligent Array to display
XkwNkarmaColourmap | The Karma colourmap
XkwNminPtr | A pointer to the minimum array value
XkwNmaxPtr | A pointer to the maximum array value
XkwNcanvasVisual | The visual for the canvas
XkwNcanvasColourmap | The X colourmap for the canvas
XkwNcursorCallback | Callbacks when the 3D cursor position changes
XkwNverbose | If TRUE verbose output is displayed

ThreeDeeSlice_Resources List of resources for ThreeDeeSlice widget

Name | Class | Rep. Type | Default
XkwNiarray | XkwCIarray | XtRPointer | NULL
XkwNkarmaColourmap | XkwCKarmaColourmap | XtRPointer | NULL
XkwNminPtr | XkwCMinPtr | XtRPointer | NULL
XkwNmaxPtr | XkwCMaxPtr | XtRPointer | NULL
XkwNcanvasVisual | XtCVisual | XtRVisual | CopyFromParent
XkwNcanvasColourmap | XtCColormap | XtRColormap | None
XkwNcursorCallback | XtCCallback | XtRCallback | NULL
XkwNverbose | XkwCVerbose | XtRBool | False

## Functions

#### EXPERIMENTAL FUNCTION: subject to change without notice

void XkwThreeDeeSlicePrecompute (Widget w, XtPointer client_data, XtPointer call_data)

This routine will precompute all ViewableImages. This routine may be used as a regular callback with the ThreeDeeSlice widget passed as the client data.

Parameters:

- w : Ignored.
- client_data : The ThreeDeeSlice widget.
- call_data : Ignored.

Returns: Nothing.
Multithreading Level: Unsafe

#### EXPERIMENTAL FUNCTION: subject to change without notice

void XkwThreeDeeSliceSetCursor (Widget W, unsigned int type, double x, double y, double z)

Set the 3D cursor position.

Parameters:

- W : The ThreeDeeSlice widget.
- type : The type of the supplied co-ordinates.
- x : The x co-ordinate.
- y : The y co-ordinate.
- z : The z co-ordinate.

Returns: Nothing.
Multithreading Level: Unsafe

Back to Karma Home Page